%define real_name CGI-ParamComposite

Summary:	CGI-ParamComposite module for perl 
Name:		perl-%{real_name}
Version:	0.02
Release: %mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:  perl(CGI)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Convert .-delimited CGI parameters to Perl classes/objects.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/CGI/ParamComposite.pm
%{_mandir}/*/*






%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.02-5mdv2009.0
+ Revision: 255780
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-3mdv2008.1
+ Revision: 136907
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-2mdv2007.0
+ Revision: 73395
- import perl-CGI-ParamComposite-0.02-2mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.02-1mdk
- initial Mandriva package

